Description

The syntax of the wiki should support the alt-text and a title-text for an image. The text is helpful if a user hovers the mouse, so it will

display the text in a tool-tip. Also, if the user disabled images, or for accessibility.

Maybe it should use the "Optional description" in the Files upload form (if it's an image).

A possible wiki-syntax could be

"My description":!someimage.jpg!

History

#1 - 2011-11-27 00:07 - Jean-Philippe Lang

- File Messier51.jpg added

- Category changed from Wiki to Text formatting

- Status changed from New to Closed

- Resolution set to Invalid

Already supported:

!Messier51.jpg(Messier 51 © NASA and European Space Agency)!

 gives

 Messier51.jpg 

#2 - 2011-11-27 00:30 - Mischa The Evil

Jean-Philippe Lang wrote:

File Messier51.jpg added

 Nice image choice... :)

#3 - 2011-11-27 10:00 - Erwin Mueller

I didn't know that, where do you have that information?

Because it isn't mentioned in the http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting

or in the Help about text formatting.

#4 - 2011-11-27 11:30 - Jean-Philippe Lang

It's a standard Textile syntax (see http://redcloth.org/hobix.com/textile/ for examples).

I've update RedmineTextFormatting.

#5 - 2011-11-27 11:31 - Jean-Philippe Lang

Mischa The Evil wrote:

Nice image choice... :)

 Thanks!
#6 - 2011-11-27 11:42 - Erwin Mueller

Jean-Philippe Lang wrote:

It's a standard Textile syntax (see http://redcloth.org/hobix.com/textile/ for examples).

I've update RedmineTextFormatting.

 Thank you for the information.

Do Redmine supports all syntax of Textile? Maybe a link to http://redcloth.org/hobix.com/textile/ would be then appropriate?

#7 - 2011-11-27 12:53 - Jean-Philippe Lang

It should support most of the syntax. I've changed the link to this one which is more usefull.

Files

Messier51.jpg 15.7 KB 2011-11-26 Jean-Philippe Lang

Powered by TCPDF (www.tcpdf.org)

2025-05-06 2/2

http://redcloth.org/hobix.com/textile/
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting
http://redcloth.org/hobix.com/textile/
http://www.tcpdf.org

